Subject: Re: [PATCH v6] gnu: python-notmuch2: Fix build.

From: Tanguy LE CARROUR <[email-masked]>
Date: Thu, 24 Mar 2022 08:11:26 +0100

Hi Liliana,

Quoting Liliana Marie Prikler (2022-03-23 21:15:43)
> Am Dienstag, dem 22.03.2022 um 17:11 +0100 schrieb Tanguy Le Carrour:
> > Hi Liliana,
> > 
> > Sorry, but I didn't find time last week-end to migrate the package
> > definition to the new style! :-(
> > 
> > But, just in case in would make sense to fix the build before I found
> > some time to do my homework, here is the patch!
> > 
> > Cheers,
> I fixed some minor thing in the copyright line, added my own patch to
> use the new style, and pushed both.

Thank you so much!!
The change looks trivial, but some of it still doesn't make sense to me! :-(
I guess I have to improve my Guile skills!

I'll read (again) some of those resources:

- [The Big Change](https://guix.gnu.org/en/blog/2021/the-big-change)
- [G-Expressions](https://guix.gnu.org/manual/en/html_node/G_002dExpressions.html)
- [Guix Programming Interface](https://guix.gnu.org/manual/en/guix.html#Programming-Interface)
- [Guile Manual](https://www.gnu.org/software/guile/manual/guile.html)

If you have any link that could help me become a Guile Jedi, they are
more than welcome! :-)

Cheers,

-- 
Tanguy